import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type ProgressTrackerProps = PropsWithMetadata<{
    /** Specify the unique step names to display */
    stepNames: string[];
    /** Specify the active step index. This updates the style for active and previous step names */
    currentStepIndex: number;
    /** Allows providing a custom classname */
    className?: string;
    /** Use loading spinner for active step */
    hasLoadingSpinner?: boolean;
}>;
declare const ProgressTracker: React.FC<ProgressTrackerProps>;
export default ProgressTracker;
